{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends "_layout.html.twig" %}
{% block title %}Foire aux questions{% endblock %}
{% set _breadcrumb = ['Aide', 'Foire aux questions'] %}


{% block content %}
    <!-- Content Header (Page header) -->
    <div class="row">
        <div class="col-md-3">
            <section class="content-header">
                <h1>Foire aux questions</h1>
            </section>
            <section class="content no-min-height">
                <div class="box box-solid">
                    <div class="box-body no-padding">
                        {{ form_start(form) }}
                        <div class="input-group">
                            {{ form_widget(form.keywords) }}
                            <span class="input-group-btn">
                                    <button type="submit" id="search-btn" class="btn btn-primary"><i class="fa fa-search"></i>
                                    </button>
                                </span>
                        </div>
                        {{ form_end(form) }}
                    </div>

                </div>
                <div class="box box-solid no-margin">
                    {#<div class="box-header with-border">#}
                    {#<h3 class="box-title">Thèmes</h3>#}
                    {#</div>#}
                    <div class="box-body no-padding">
                        <ul class="nav nav-pills nav-stacked">
                            {% for section in sections %}
                                <li class="{% if active_theme and section.theme.id == active_theme.id %}active{% endif %}">
                                    <a href="{{ section.url }}">
                                        <span class="label label-primary pull-right">{{ section.faqs|length }}</span> {{ section.theme.name }}
                                    </a>
                                </li>
                            {% endfor %}
                        </ul>
                    </div>

                </div>
            </section>
        </div>
        <div class="col-md-9">
            <section class="content-header">
                {% if is_granted('faq.add') %}
                    <a href="{{ path('faq.add', {'id': active_theme is not null ? active_theme.id : null}) }}" class="btn btn-primary pull-right"><span class="fa fa-question-circle"></span> &nbsp;Nouvelle question</a>
                {% endif %}
              <h1 class="text-muted">{{ (active_theme ? active_theme.name : " ") }}</h1>
            </section>
            <section class="content">
                {% if sections|length > 0 %}
                    {% for faq in sections[active_theme.id].faqs %}
                        <div class="box box-default">
                            <div class="box-header with-border">
                                <div class="box-tools pull-right">
                                    <div class="box-tools pull-right">
                                        {% if is_granted('faq.edit', faq) %}
                                            <a href="{{ path('faq.edit', {'id': faq.id}) }}" class="faq-edit btn btn-box-tool" title="Modifier cette question"><i class="fa fa-pencil"></i></a>
                                        {% endif %}
                                        {% if is_granted('faq.remove', faq) %}
                                            <a href="{{ path('faq.remove', {'id': faq.id}) }}" data-toggle="modal-remote" class="faq-remove btn btn-box-tool" title="Supprimer cette question"><i class="fa fa-remove"></i></a>
                                        {% endif %}
                                    </div>
                                    <form action="{{ path('faq.reorder', {'id': faq.id}) }}" class="box-tools pull-right" method="post">
                                        {% if is_granted('faq.reorder', faq) and app.request.query.get('faq_search') == null and loop.index > 1 %}
                                            <button name="way" value="up" class="faq-up btn btn-box-tool" title="Remonter cette question"><i class="fa fa-arrow-up"></i></button>
                                        {% endif %}
                                        {% if is_granted('faq.reorder', faq) and app.request.query.get('faq_search') == null and loop.index < sections[active_theme.id].faqs|length %}
                                            <button name="way" value="down" class="faq-down btn btn-box-tool" title="Descendre cette question"><i class="fa fa-arrow-down"></i></button>
                                        {% endif %}
                                    </form>
                                </div>
                                <h3 class="box-title"><span class="fa fa-question-circle"></span>&nbsp;<strong>{{ faq.question }}</strong></h3>
                            </div>
                            <div class="box-body p-b-5">
                                {# This evil raw output is secured in lower levels by the "markdownize" filter #}
                                {{ faq.answer | markdownize | raw }}
                            </div>
                        </div>
                    {% endfor %}
                {% else %}
                    <div class="blankslate blankslate-spacious">
                        {% if search is not empty %}
                            <h3>Aucune question ne correspond à votre recherche "{{ search }}"</h3>
                        {% else %}
                            <h3>Il n'y a aucune question à afficher</h3>
                        {% endif %}
                    </div>
                {% endif %}
            </section>
        </div>
    </div>
{% endblock %}
